{config, ...}: {
  imports = [
    # Common modules
    ./home.nix
    ./users/jimbo.nix
    ./tuiapps/git.nix

    # GUI Apps
    ./misc/guifiles.nix
    ./sway/sway.nix
    ./guiapps/gtk.nix
    ./guiapps/foot.nix
    ./guiapps/librewolf.nix
    ./guiapps/mangohud.nix
    ./guiapps/mpv.nix
    ./guiapps/obs.nix
    ./guiapps/pcmanfm-qt.nix
    ./guiapps/rofi.nix
    ./guiapps/swappy.nix
    ./guiapps/easyeffects.nix
    ./tuiapps/ncmpcpp.nix

    # Misc apps and tools
    ./misc/useful.nix
    ./misc/avtools.nix
    ./misc/filemanager.nix
    ./misc/gaming.nix
    ./misc/xash3d.nix
    ./misc/emulators.nix
    ./misc/remotedesktop.nix
    ./misc/school.nix
    ./misc/variables.nix

    # Services
    ./services/gnome-keyring.nix
    ./services/mako.nix
    ./services/udiskie.nix
  ];

  # ZSH rebuild commands
  programs.zsh = {
    shellAliases = let
      auth = import ./common/auth.nix;
      hostname = "JimDeck";
    in {
      flakedate = "${auth.method} nix flake update /etc/nixos";
      sysswitch = "${auth.method} nixos-rebuild switch --flake /etc/nixos/.#${hostname}";
      homeswitch = "home-manager switch --flake /etc/nixos/.#jimbo@${hostname}";
      nixdate = "flakedate; sysswitch; homeswitch; notify-send 'NixOS switch done.'";
    };
  };
}
