{config, ...}: {
  imports = [
    # Common modules
    ./home.nix
    ./users/jimbo.nix
    ./tuiapps/git.nix
  ];

  # ZSH rebuild commands
  programs.zsh = {
    shellAliases = let
      auth = import ./common/auth.nix;
      hostname = "JimServer";
    in {
      flakedate = "${auth.method} nix flake update /etc/nixos";
      sysswitch = "${auth.method} nixos-rebuild switch --flake /etc/nixos/.#${hostname}";
      homeswitch = "home-manager switch --flake /etc/nixos/.#jimbo@${hostname}";
      nixdate = "flakedate; sysswitch; homeswitch; notify-send 'NixOS switch done.'";
    };
  };
}
